2020-05-26 04:20:29 登录注册 RSS

当前位置: 公理网 >> 正义之家 >> python利用pyautocad绘制岩体产状

python利用pyautocad绘制岩体产状
发布时间:2018-11-03| 来源:公理网 | 点击发表评论

1.读取EXCEL表相应数据

2.插入block块

3.根据表格数据旋转block角度

4.增加文字注释

acad.model.InsertBlock(p3,"D:\\python\\dccz.dwg",1,1,1,0)中后续参数的含义:Scale/X/Y/Z/Rotate

并且rotate中为弧度,非度。以下为实现代码:

#byhelix94430966@qq.comfrompyautocadimportAutocad,APointimportpyautocadimportopenpyxlimportsysimportmathwb=openpyxl.load_workbook('D:\\python\\地质点.xlsx')wsheet=wb.worksheets[0]#或者wb.active#获取文档列表get_sheet_by_name(wb.get_sheet_names[0]acad=Autocad(create_if_not_exists=True)#true表示没有文件则打开一个forrowinwsheet.iter_rows(min_col=1,min_row=2,max_row=wsheet.max_row,max_col=wsheet.max_column):#读取单元格数据:excel中数据行列索引均为0,与min_col/min_row设置不一致。#0123456#点号xyh倾向倾角备注print(row[0].value,row[1].value,row[4].value)p3=APoint(float(row[1].value),float(row[2].value),0.0)ratangel=float(row[4].value)#读取的数值为度acad.model.InsertBlock(p3,"D:\\python\\dccz.dwg",0.5,0.5,0.5,-ratangel*math.pi/180)#此处为弧度,切记!!acad.model.AddText('产状:%s∠%s'%(ratangel,int(row[5].value)),p3-APoint(-3,1.5),1.5)#添加文本:标注文字,标注点位置,标注字体高度acad.model.AddText('描述:%s'%row[6].value,(p3-APoint(-3,3.5)),1.5)
20181006021327116?watermark/2/text/aHR0cHM6Ly9ibG9nLmNzZG4ubmV0L2hlbGl4c2t5/font/5a6L5L2T/fontsize/400/fill/I0JBQkFCMA==/dissolve/70"width="723"/>
阅读更多

授予每个自然月内发布4篇或4篇以上原创或翻译IT博文的用户。不积跬步无以至千里,不积小流无以成江海,程序人生的精彩需要坚持不懈地积累!

最新新闻

手机浏览

公理网 版权所有

公理网 Total 0.048600(s) query 6, 报料QQ:点击这里

给我发消息